# Uses of Class
org.apache.commons.math3.ode.sampling.AbstractStepInterpolator

Packages that use AbstractStepInterpolator
Package
Description
org.apache.commons.math3.ode
This package provides classes to solve Ordinary Differential Equations problems.
org.apache.commons.math3.ode.sampling
This package provides classes to handle sampling steps during Ordinary Differential Equations integration.

## Uses of AbstractStepInterpolator in org.apache.commons.math3.ode

Methods in org.apache.commons.math3.ode with parameters of type AbstractStepInterpolator
Modifier and Type
Method
Description
`protected double`
AbstractIntegrator.`acceptStep(AbstractStepInterpolator interpolator, double[] y, double[] yDot, double tEnd)`
Accept a step, triggering events and step handlers.

## Uses of AbstractStepInterpolator in org.apache.commons.math3.ode.sampling

Subclasses of AbstractStepInterpolator in org.apache.commons.math3.ode.sampling
Modifier and Type
Class
Description
`class`
`NordsieckStepInterpolator`
This class implements an interpolator for integrators using Nordsieck representation.
Constructors in org.apache.commons.math3.ode.sampling with parameters of type AbstractStepInterpolator
Modifier
Constructor
Description
`protected`
`AbstractStepInterpolator(AbstractStepInterpolator interpolator)`
Copy constructor.